org.eclipse.gef.zest.fx.parts

## Class HideHoverHandlePart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractHandlePart<N>
    - - org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart<HoverOverlayImageView>
      - - org.eclipse.gef.zest.fx.parts.HideHoverHandlePart

All Implemented Interfaces:
  java.lang.Comparable<AbstractSegmentHandlePart<? extends javafx.scene.Node>>, IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IDisposable, IHandlePart<HoverOverlayImageView>, IVisualPart<HoverOverlayImageView>

    public class HideHoverHandlePart
    extends AbstractSegmentHandlePart<HoverOverlayImageView>

The `HideHoverHandlePart` is an `AbstractSegmentHandlePart` that displays a "collapse" image. By default, the `HideFirstAnchorageOnClickHandler` is installed for `HideHoverHandlePart`, so that the corresponding `NodePart` can be hidden by a click on this part.

### Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`HideHoverHandlePart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected HoverOverlayImageView` `doCreateVisual()`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart

`compareTo, doRefreshVisual, getBezierSegmentInParent, getConnectedFill, getInsertFill, getMoveFill, getPosition, getSegmentCount, getSegmentIndex, getSegmentParameter, getSegmentsInScene, getStroke, setSegmentIndex, setSegmentParameter, setSegmentsProvider, updateLocation`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractHandlePart

`doAddChildVisual, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, doRemoveChildVisual`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doDeactivate, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Constructor Detail

#### HideHoverHandlePart

    public HideHoverHandlePart()

### Method Detail

#### doCreateVisual

    protected HoverOverlayImageView doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<HoverOverlayImageView>`